RLOGIN(1) | General Commands Manual | RLOGIN(1)

# NAME

`rlogin` —
remote login

# SYNOPSIS

`rlogin` | [`-468dEn`] [`-e` char] [`-l` username] [`-p` port] host

`rlogin` | [`-468dEn`] [`-e` char] [`-p` port] username@host

# DESCRIPTION

`rlogin` starts a terminal session on a remote host host.

`rlogin` first attempts to use the standard Berkeley rhosts authorization mechanism. The options are as follows:

`-4`
  Use IPv4 addresses only.
`-6`
  Use IPv6 addresses only.
`-8`
  The `-8` option allows an eight-bit input data path at all times; otherwise parity bits are stripped except when the remote side's stop and start characters are other than ‘^S/^Q’.
`-d`
  The `-d` option turns on socket debugging (see setsockopt(2)) on the TCP sockets used for communication with the remote host.
`-E`
  The `-E` option stops any character from being recognized as an escape character. When used with the `-8` option, this provides a completely transparent connection.
`-e` char
  The `-e` option allows user specification of the escape character, which is “~” by default. This specification may be as a literal character, or as an octal value in the form \nnn.
`-l` username
  the `-l` option specifies an alternate username for the remote login. If this option is not specified, your local username will be used.
`-n`
  Set the `TCP_NODELAY` socket option, which can improve interactive responsiveness at the possible downside of increased network load.
`-p` port
  Uses the given port instead of the one assigned to the service “login”. May be given either as symbolic name or as number.

A line of the form “⟨escape char⟩.” disconnects from the remote host. Similarly, the line “⟨escape char⟩^Z” will suspend the `rlogin` session, and “⟨escape char⟩⟨delayed-suspend char⟩” suspends the send portion of the rlogin, but allows output from the remote system. By default, the tilde (“~”) character is the escape character, and normally control-Y (“^Y”) is the delayed-suspend character.

All echoing takes place at the remote site, so that (except for delays) the `rlogin` is transparent. Flow control via ^S/^Q and flushing of input and output on interrupts are handled properly.

# ENVIRONMENT

The following environment variable is used by `rlogin`:

`TERM`
  Determines the user's terminal type.

# SEE ALSO

rcmd(1), rsh(1), rcmd(3), hosts.equiv(5), rhosts(5), environ(7)

# HISTORY

The `rlogin` command appeared in 4.2BSD.

# BUGS

More of the environment should be propagated.

March 2, 2013 | NetBSD 10.0